curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/download/video \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/download/video"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/download/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"play": "https://v16-coin.tiktokcdn.com/d2751cc018586a1b2e949b9be2b95588/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oIBCEAlvdiDkwVjVcPaCP6sCTOEQBi4IlyRBA/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2300&bt=1150&cs=0&ds=6&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=aDNpOzlkZWk0NTk0ODU8NEBpajdkM3Q5cjh2NjMzaTczNEAzLzRiMGBjX2MxMzEuMl8xYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000",
"play_watermark": "https://v16-coin.tiktokcdn.com/0f18254968e15ff0eaa1f01b5d39ec90/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oYH4VQUIDlsK8BhIAEfXAegxLFwHEoEEl1CRkH/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2352&bt=1176&cs=0&ds=3&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=Ojk4M2k0Ozo5ZDg2ZjdkZEBpajdkM3Q5cjh2NjMzaTczNEBjL2I2MTAuNV8xYi8xLS5gYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000"
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Download Video
Download Video
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Video URL. For example: https://www.tiktok.com/@taylorswift/video/7558098574555254046
"https://www.tiktok.com/@taylorswift/video/7558098574555254046"
Response
Success
Download Video URL (without watermark)
"https://v16-coin.tiktokcdn.com/d2751cc018586a1b2e949b9be2b95588/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oIBCEAlvdiDkwVjVcPaCP6sCTOEQBi4IlyRBA/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2300&bt=1150&cs=0&ds=6&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=aDNpOzlkZWk0NTk0ODU8NEBpajdkM3Q5cjh2NjMzaTczNEAzLzRiMGBjX2MxMzEuMl8xYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000"
Download Video URL (with watermark)
"https://v16-coin.tiktokcdn.com/0f18254968e15ff0eaa1f01b5d39ec90/69246660/video/tos/maliva/tos-maliva-ve-0068c799-us/oYH4VQUIDlsK8BhIAEfXAegxLFwHEoEEl1CRkH/?a=0&bti=OUBzOTg7QGo6OjZAL3AjLTAzYCMxNDNg&ch=0&cr=13&dr=0&er=0&lr=all&net=0&cd=0%7C0%7C0%7C&cv=1&br=2352&bt=1176&cs=0&ds=3&ft=-gnpiFvYwQQIUxtdKSNl7Er5SfqmaKPXtq_o36xyqF_4&mime_type=video_mp4&qs=0&rc=Ojk4M2k0Ozo5ZDg2ZjdkZEBpajdkM3Q5cjh2NjMzaTczNEBjL2I2MTAuNV8xYi8xLS5gYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=2025112416060770716282059C6E05C0BB&btag=e000b8000"
Was this page helpful?

